import requests

from dotenv import load_dotenv
from os import getenv

load_dotenv()

def send_message(message: str, to_user_id: str = None) -> None:
    if to_user_id:
        message = f'<@{to_user_id}> {message}'
    message_data = {'content': message}
    requests.post(getenv('WEBHOOK_URL'), json = message_data)

if __name__ == '__main__':
    send_message('Hello, world!', to_user_id = getenv('USER_ID'))